#include <bits/stdc++.h>
  using namespace std;
  int n,m;
  long long matrica[1505][1505];
  int main(){
  scanf("%d%d",&n,&m);
  for(int i=1; i<=n; i++){
    for(int j=1; j<=m; j++){
      scanf("%lld",&matrica[i][j]);
    }
  }
  cout << "1\n";


  return 0;
  }